.icon {
  --size: 1rem;
  --url: 'path-to-icon';
  -webkit-mask-image: var(--url);
  mask-image: var(--url);
  -webkit-mask-position: center;
  mask-position: center;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  mask-size: contain;
  display: block;
  width: var(--size);
  height: var(--size);
  background-color: currentColor;
}

.icon--plus {
  --url: url("../icons/plus.svg");
}

.icon--minus {
  --url: url("../icons/minus.svg");
}

.icon--address {
  --url: url("../icons/address.svg");
}

.icon--email {
  --url: url("../icons/email.svg");
}

.icon--phone {
  --url: url("../icons/phone.svg");
}

.icon--time {
  --url: url("../icons/time.svg");
}

.icon--arrow {
  --url: url("../icons/arrow.svg");
}

.icon--arrow-top {
  --url: url("../icons/arrow-top.svg");
}

.icon--arrow-down {
  --url: url("../icons/arrow-down.svg");
}

.icon--arrow-right {
  --url: url("../icons/arrow-right.svg");
}

.icon--arrow-double-right {
  --url: url("../icons/arrow-double-right.svg");
}

.icon--arrow-left {
  --url: url("../icons/arrow-left.svg");
}

.icon--arrow-double-left {
  --url: url("../icons/arrow-double-left.svg");
}

.icon--arrow-left-alt {
  --url: url("../icons/arrow-left-alt.svg");
}

.icon--arrow-right-alt {
  --url: url("../icons/arrow-right-alt.svg");
}

.icon--arrow-top-alt {
  --url: url("../icons/arrow-top-alt.svg");
}

.icon--arrow-bottom-alt {
  --url: url("../icons/arrow-bottom-alt.svg");
}

.icon--menu-back {
  --url: url("../icons/menu-back.svg");
}

.icon--loading {
  --url: url("../icons/loading.svg");
}

.icon--check {
  --url: url("../icons/check.svg");
}

.icon--warning {
  --url: url("../icons/warning.svg");
}

.icon--tag {
  --url: url("../icons/tag.svg");
}

.icon--quote {
  --url: url("../icons/quote.svg");
}

.icon--menu {
  --url: url("../icons/menu.svg");
}

.icon--close {
  --url: url("../icons/close.svg");
}

.icon--open {
  --url: url("../icons/open.svg");
}

.icon--menu-has-children {
  --url: url("../icons/menu-has-children.svg");
}

/*--social--*/
.social .icon {
  --size: 2rem;
  display: block;
  width: var(--size);
  height: var(--size);
  background-image: var(--url);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

.icon--whatsapp {
  --url: url("../icons/social/whatsapp.svg");
}

.icon--telegram {
  --url: url("../icons/social/telegram.svg");
}

.icon--vk {
  --url: url("../icons/social/vk.svg");
}

.icon--rutube {
  --url: url("../icons/social/rutube.svg");
}

.icon--max {
  --url: url("../icons/social/max.svg");
}

:is(.icon--rutube) {
  mask-image: unset;
  background-color: transparent;
  background-image: var(--url);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

/*--social-end--*/
/*--woocommerce--*/
.icon--search {
  --url: url("../icons/search.svg");
}

.icon--cart {
  --url: url("../icons/cart.svg");
}

.icon--lock {
  --url: url("../icons/lock.svg");
}

.icon--home {
  --url: url("../icons/home.svg");
}

.icon--apps {
  --url: url("../icons/apps.svg");
}

.icon--star {
  --url: url("../icons/star.svg");
}

.icon--star-fill {
  --url: url("../icons/star-fill.svg");
}

.icon--user {
  --url: url("../icons/user.svg");
}

.icon--trash {
  --url: url("../icons/trash.svg");
}

.icon--filter {
  --url: url("../icons/filter.svg");
}

.icon--dashboard {
  --url: url("../icons/dashboard.svg");
}

.icon--orders {
  --url: url("../icons/orders.svg");
}

.icon--downloads {
  --url: url("../icons/downloads.svg");
}

.icon--edit-address {
  --url: url("../icons/edit-address.svg");
}

.icon--edit-account {
  --url: url("../icons/edit-account.svg");
}

.icon--customer-logout {
  --url: url("../icons/customer-logout.svg");
}

.icon--remove-product {
  --url: url("../icons/remove-product.svg");
}

/*--woocommerce-end--*/
/*--features--*/
.icon--analisys {
  mask-image: url("../icons/analisys.svg");
}

.icon--calendar {
  mask-image: url("../icons/calendar.svg");
}

.icon--calculator {
  mask-image: url("../icons/calculator.svg");
}

.icon--call {
  mask-image: url("../icons/call.svg");
}

.icon--choises {
  mask-image: url("../icons/choises.svg");
}

.icon--delivery {
  mask-image: url("../icons/delivery.svg");
}

.icon--diplom {
  mask-image: url("../icons/diplom.svg");
}

.icon--discount {
  mask-image: url("../icons/discount.svg");
}

.icon--document {
  mask-image: url("../icons/document.svg");
}

.icon--factory {
  mask-image: url("../icons/factory.svg");
}

.icon--handshake {
  mask-image: url("../icons/handshake.svg");
}

.icon--like {
  mask-image: url("../icons/like.svg");
}

.icon--building {
  mask-image: url("../icons/building.svg");
}

.icon--medal {
  mask-image: url("../icons/medal.svg");
}

.icon--pin {
  mask-image: url("../icons/pin.svg");
}

.icon--schedule {
  mask-image: url("../icons/schedule.svg");
}

.icon--scheme {
  mask-image: url("../icons/scheme.svg");
}

.icon--shield {
  mask-image: url("../icons/shield.svg");
}

.icon--star {
  mask-image: url("../icons/star.svg");
}

.icon--target {
  mask-image: url("../icons/target.svg");
}

.icon--tool {
  mask-image: url("../icons/tool.svg");
}

.icon--wallet {
  mask-image: url("../icons/wallet.svg");
}

.icon--boxes {
  mask-image: url("../icons/boxes.svg");
}

.icon--percent {
  mask-image: url("../icons/percent.svg");
}

.icon--settings {
  mask-image: url("../icons/settings.svg");
}

.icon--truck {
  mask-image: url("../icons/truck.svg");
}

.icon--document {
  mask-image: url("../icons/document.svg");
}

.icon--shield {
  mask-image: url("../icons/shield.svg");
}

.icon--winch {
  mask-image: url("../icons/winch.svg");
}

.icon--spare {
  mask-image: url("../icons/spare.svg");
}

.icon--support {
  mask-image: url("../icons/support.svg");
}

.icon--study {
  mask-image: url("../icons/study.svg");
}

.icon--task {
  mask-image: url("../icons/task.svg");
}

.icon--disc {
  mask-image: url("../icons/disc.svg");
}

.icon--bolt {
  mask-image: url("../icons/bolt.svg");
}

.icon--weight {
  mask-image: url("../icons/weight.svg");
}

/*--features-end--*/